| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Gr.Mesh3D Class Reference
Inheritance diagram for IG.Gr.Mesh3D:
[legend]
Collaboration diagram for IG.Gr.Mesh3D:
[legend]

## Public Member Functions
virtual vec3 | GetGridCoordinate (int i)
| Returns coordinates of the specified grid point. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged). More...
virtual void | SetGridCoordinate (int i, vec3 coordinates)
| Sets coordinates of the specified grid point to the provided values. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged). More...
Public Member Functions inherited from IG.Gr.Mesh
virtual int | GetNodeNumber (int i)

## Properties
abstract vec3[] | GridCoordinates`[get]`
| Returns the table of grid co-ordinates. If this property is not properly implemented in the concrete subclasses (e.g. it simply returns null) then methods GetGridCoordinate() and SetGridCoordinate() and the indexer must be re-implemented. More...
virtual vec3 | this[int i]`[get, set]`
| Gets or sets co-ordinates of the specified grid point. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged). More...
Properties inherited from IG.Gr.Mesh
abstract int | NumNodes`[get]`
| Returns number of grid points. More...
abstract bool | HasFaces`[get]`
| Gets a value indicating whether the mesh has faces. More...
abstract int | NumFaces`[get]`
| Returns the number of faces that the mesh has. More...
abstract bool | HasVolumes`[get]`
| Gets a value indicating whether the mesh has volumes. More...
abstract int | NumVolumes`[get]`
| Returns the number of volumes that the mesh has. More...

## Member Function Documentation

virtual vec3 IG.Gr.Mesh3D.GetGridCoordinate | ( | int | i | ) |
| inline virtual

Returns coordinates of the specified grid point. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged).

Parameters

  i | Zero-based (contiguous) index of the grid point.

Returns
  Coordinate of the grid/point.

virtual void IG.Gr.Mesh3D.SetGridCoordinate | ( | int | i,
|  | vec3 | coordinates
| ) |  |
| inline virtual

Sets coordinates of the specified grid point to the provided values. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged).

Parameters

  i | Zero-based (contiguous) index of the grid point.
  coordinate | Co-ordinates that are assigned to the grid point.

Returns

## Property Documentation

abstract vec3 [] IG.Gr.Mesh3D.GridCoordinates
| get protected

Returns the table of grid co-ordinates. If this property is not properly implemented in the concrete subclasses (e.g. it simply returns null) then methods GetGridCoordinate() and SetGridCoordinate() and the indexer must be re-implemented.

virtual vec3 IG.Gr.Mesh3D.this[int i]
| get set

Gets or sets co-ordinates of the specified grid point. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged).

Parameters

  i | Zero-based (contiguous) index of the grid point.

The documentation for this class was generated from the following file:

- igbase/graphics/Mesh.cs